Skip to content

Bulk import environment variables

POST
/api/v1/projects/{id}/env/bulk
curl --request POST \
--url https://api.deploybase.eu/api/v1/api/v1/projects/example/env/bulk \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "content": "example", "environment": "production" }'

Imports multiple environment variables from .env file format

id
required
string

Project ID

Bulk import data

Media type application/json
object
content
required
string
environment
required
string
Allowed values: production preview all

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"data": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Bad Request

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}